<?php

/*
 * To enable the PSL configuration, you need to include this file in the
 * configuration file of supannPerson. Add the following line at the end of the
 * file config.LSobjects.supannPerson.php: 
 *
 *   include('config.LSobjects.pslPerson.php');
 *
 */

// Add pslPerson objectClass
$GLOBALS['LSobjects']['supannPerson']['objectclass'][] = 'pslPerson';

// Add PSL UI tab
$GLOBALS['LSobjects']['supannPerson']['LSform']['layout']['PSL'] = array (
  'label' => 'PSL',
  'args' => array (
    'pslBadgeCSN',
    'pslBadgeExpire',
  ),
);

// Add PSL attributes
$GLOBALS['LSobjects']['supannPerson']['attrs']['pslBadgeCSN'] = array(
  'label' => 'Badge CSN',
  'help_info' => 'CSN of Mifare badge of the PSL member',
  'ldap_type' => 'ascii',
  'html_type' => 'text',
  'check_data' => array (
          'regex' => array(
                  'msg' => "Invalid CSN code (digits and uppercase letters).",
                  'params' => array(
                          'regex' => '/^[0-9A-F]{8,14}$/',
                  ),
          ),
  ),
  'multiple' => 0,
  'rights' => array(
          'self' => 'r',
          'admin' => 'w',
  ),
  'view' => 1,
  'form' => array (
          'modify' => 1,
          'create' => 1,
  ),
);

$GLOBALS['LSobjects']['supannPerson']['attrs']['pslBadgeExpire'] = array(
  'label' => 'Badge expiration date',
  'ldap_type' => 'naiveDate',
  'html_type' => 'date',
  'html_options' => array(
    'time' => False,
    'manual' => True,
  ),
  'multiple' => 0,
  'rights' => array(
          'self' => 'r',
          'admin' => 'w',
  ),
  'view' => 1,
  'form' => array (
          'modify' => 1,
          'create' => 1,
  ),
);
